[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: watch files and weird version numbers



Wouter Verhelst <wouter@debian.org> writes:

> Slap upstream for having broken and confusing version numbers. Dpkg will
> not understand that, either, as will many users who do not bother to
> read the upstream web pages.

In a related problem, I'm packaging the latest version of gtklp at
1.0c. My earlier package is 1.0 but using version 1.0rel (I was stupid,
but I think I should have slapped upstream earlier for using a very
inadequate versioning scheme). How do I set the version for this
package? Should I use an epoch, like 1:1.0c, so gtklp in sid can show up
as 1.0c before testing as 1.0rel?

-- 
ZAK B. ELEP	<zakame@spunge.org>	  -- Registered Linux User #327585
1024D/FA53851D		1486 7957 454D E529 E4F1  F75E 5787 B1FD FA53 851D
 Debian - When you've got better things to do than to fix a borken system

Attachment: pgpeXpGq25KYI.pgp
Description: PGP signature


Reply to: